package network

import "testing"

func TestRand64(t *testing.T) {
	for i := 0; i < 10; i++ {
		t.Log(i, Rand64())
	}
}

func BenchmarkRand64(b *testing.B) {
	for i := 0; i < b.N; i++ {
		Rand64()
	}
}

func TestRandU64(t *testing.T) {
	for i := 0; i < 10; i++ {
		t.Log(i, RandU64())
	}
}

func BenchmarkRandU64(b *testing.B) {
	for i := 0; i < b.N; i++ {
		RandU64()
	}
}

func TestRandN64(t *testing.T) {
	for i := 0; i < 10; i++ {
		t.Log(i, RandN64(999999999))
	}
}
